# findTicket

**POST api/fireblocks/proxy/findTicket**

{% tabs %}
{% tab title="Payload" %}

```json
{
    "ticketId": "1a1a1a1a-1a1a-1a1a-1a1a-1a1a1a1a1a1a",
    "transactionId": 1234567890
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
{
  "data": { // some fields might be missing if not applicable. Check Fireblocks documentation for actual fields
    "id": "1a1a1a1a-1a1a-1a1a-1a1a-1a1a1a1a1a1a",
    "type": "ASYNC",
    "status": "OPEN",
    "expiresAt": "2026-01-01T00:00:00.000Z",
    "expiresIn": 10,
    "submittedAt": "2026-01-01T00:00:00.000Z",
    "createdByNetworkId": "11111111-aaaa-1111-aaaa-111111111111",
    "createdByNetworkIdName": "creator name",
    "canceledByNetworkIdName": "canceled name",
    "expiredAt": "2026-01-01T00:00:00.001Z",
    "canceledAt": "2026-01-01T00:00:00.001Z",
    "fulfilledAt": "2026-01-01T00:00:00.001Z",
    "dvpExecutionStatus": "status",
    "orderCreatedByNetworkId": "creator name",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "terms": [
      {
        "id": "11111111-1111-1111-1111-111111111111",
        "asset": "ASSET",
        "amount": "1",
        "amountUsd": "1000",
        "fromNetworkId": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
        "fromNetworkIdName": "sender name",
        "toNetworkId": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
        "toNetworkIdName": "recipient name",
        "txHash": "tx_hash",
        "txStatus": "tx_status",
        "fbTxId": "fb_tx_id",
        "status": "CREATED",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "ticketId": "1a1a1a1a-1a1a-1a1a-1a1a-1a1a1a1a1a1a",
        "dvpSrcDstVaultId": "dvpSrcDstVaultIdTermValue"
      }
    ],
    "note": "note",
    "direction": "INTERMEDIATE",
    "externalRefId": "1234567890", // ID of a Settlement Transaction
    "createdByMe": true,
    "canceledByMe": false
  }
}
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 9,  // error code might vary
    "errorDescription": [
        "INPUT_ERROR" // additional error details
    ]
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Field name    | Type         | Description                                                                                                                                     |
| ------------- | ------------ | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| ticketId      | string       | <p><em>Optional</em>. Fireblocks Ticket ID.<br>Not needed if search ticket by linked Settlement Transaction ID (transactionId)</p>              |
| transactionId | Efx::OrderId | <p><em>Optional</em>. Settlement Transaction ID (transaction's order id)<br>Not required when searching by Fireblocks Ticket ID (ticketId).</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/settlements/fireblocks/findticket.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
